Gst::ParseError Class Reference

The different parsing errors that can occur. More...

`#include <gstreamermm/parse.h>`

Inherits Error.

## Public Types

enum | Code { SYNTAX, NO_SUCH_ELEMENT, NO_SUCH_PROPERTY, LINK, COULD_NOT_SET_PROPERTY, EMPTY_BIN, EMPTY, DELAYED_LINK }
| The different parsing errors that can occur. More...

## Public Member Functions

| ParseError (Code error_code, const Glib::ustring& error_message)
| ParseError (GError* gobject)
Code | code () const

## Detailed Description

The different parsing errors that can occur.

- SYNTAX - A syntax error occured.
- NO_SUCH_ELEMENT - The description contained an unknown element
- NO_SUCH_PROPERTY - An element did not have a specified property
- LINK - There was an error linking two pads.
- COULD_NOT_SET_PROPERTY - There was an error setting a property
- EMPTY_BIN - An empty bin was specified.
- EMPTY - An empty description was specified

## Member Enumeration Documentation

## Code

enum Gst::ParseError::Code

The different parsing errors that can occur.

Enumerator
SYNTAX | A syntax error occurred.
NO_SUCH_ELEMENT | The description contained an unknown element.
NO_SUCH_PROPERTY | An element did not have a specified property.
LINK | There was an error linking two pads.
COULD_NOT_SET_PROPERTY | There was an error setting a property.
EMPTY_BIN | An empty bin was specified.
EMPTY | An empty description was specified.
DELAYED_LINK | A delayed link did not get resolved.

## Constructor & Destructor Documentation

## ParseError() [1/2]

Gst::ParseError::ParseError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

## ParseError() [2/2]

Gst::ParseError::ParseError | ( | GError * | gobject | ) |

explicit

## Member Function Documentation

## code()

Code Gst::ParseError::code | ( |  | ) | const